Download it now!
Bug 121620 - Opening Image tab of Bullets and Numbering dialog resets selection
Summary: Opening Image tab of Bullets and Numbering dialog resets selection
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-22 13:09 UTC by Mike Kaganski
Modified: 2018-12-05 07:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-11-22 13:09:20 UTC
In Writer (master towards 6.3), open Bullets and Numbering dialog, open Bullets tab, and select some item (preferably not the first). Switch to Numbering or Outline tab, and see that they don't have a selection. Switch back to Bullets tab, see that the selection is retained. Switch to Image tab; see that it has 1st element selected; now switch the other tabs to see that every tab has 1st item selected now! Selecting a different item on Image tab, then switching to another tab and back, the selection moves to the first.

Works normal with Version: 6.1.3.2 (x64)
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 12; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group threaded

Works wrong in Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3c51ab7573d4c6e585a7142e73b8d84d5a238b79
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 1 Timur 2018-11-22 15:21:41 UTC
Repro. Note bug 80949 during testing.
Comment 2 raal 2018-11-29 16:20:55 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks


b9b3c909ccf82e0bff52b9fc5eae7d746004a1f2 is the first bad commit
commit b9b3c909ccf82e0bff52b9fc5eae7d746004a1f2
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Jun 25 09:23:53 2018 +0200

    source sha:39e6bae2c4be24a3aad5ef8cd37d3d83c41a4abe

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-06-21 10:04:46 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-06-25 09:12:13 +0200
commit	39e6bae2c4be24a3aad5ef8cd37d3d83c41a4abe (patch)
tree	5f0ef3ed26815e2854a8dcefbbcc6d27be64800d
parent	592cbb6cdb1691e205d5bea3dd95d370fd119aa8 (diff)
loplugin:useuniqueptr in cui numpages
Comment 3 Commit Notification 2018-12-03 09:55:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c9e70af2bf6dc9427a9c1dd32d5e8ecccd32c3c2%5E%21

tdf#121620 Opening Image tab of Bullets and Numbering dialog resets selection

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-12-05 07:07:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/253af4f2cfb93a7f8c223661c0c1b7845c1644f0%5E%21

tdf#121620 Opening Image tab of Bullets and Numbering dialog resets selection

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.